Scales the inputs and outputs in the training data to the specified range

- « fann_scale_train

- fann_set_activation_function »

- PHP Manual
- Fann Functions
- Scales the inputs and outputs in the training data to the specified range

# fann_scale_train_data

(PECL fann >= 1.0.0)

fann_scale_train_data — Scales the inputs and outputs in the training data to the specified range

### Description

fann_scale_train_data(resource `$train_data`, float `$new_min`, float `$new_max`): bool

Scales the inputs and outputs in the training data to the specified range.

### Parameters

`train_data`

  Neural network training data resource.

`new_min`

  New minimum after scaling inputs and outputs in training data.

`new_max`

  New maximum after scaling inputs and outputs in training data.

### Return Values

Returns `true` on success, or `false` otherwise.

### See Also

- fann_scale_output_train_data() - Scales the outputs in the training data to the specified range
- fann_scale_input_train_data() - Scales the inputs in the training data to the specified range